package sh.grimmer.bettershulkers.interfaces;

import net.minecraft.client.renderer.item.ItemStackRenderState;
import net.minecraft.util.FormattedCharSequence;

import org.jetbrains.annotations.Nullable;

public interface BsShulkerBoxRenderState {

    @Nullable
    FormattedCharSequence betterShulkers$getLabel();

    void betterShulkers$setLabel(@Nullable FormattedCharSequence label);

    @Nullable
    ItemStackRenderState betterShulkers$getDisplayItem();

    void betterShulkers$setDisplayItem(@Nullable ItemStackRenderState displayItem);

}
